/*******************************************************************************
 * FoxPlayerStart_EntryAnim generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxPlayerStart_EntryAnim extends PlayerStart
    native
    hidecategories(Navigation,Lighting,LightColor,Force,Collision);

struct native EntryAnimDef
{
    var() name AnimName;
    var() Vector StartTranslation;

    structdefaultproperties
    {
        AnimName=None
        StartTranslation=(X=0.0,Y=0.0,Z=0.0)
    }
};

var() array<EntryAnimDef> SupportedEntries;

// Export UFoxPlayerStart_EntryAnim::execChooseEntryAnimFor(FFrame&, void* const)
native function ChooseEntryAnimFor(FoxPawn P);

defaultproperties
{
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPlayerStart_EntryAnim.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPlayerStart_EntryAnim.CollisionCylinder'
    Components(3)=CollisionCylinder
    Components(4)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPlayerStart_EntryAnim.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}